org.jfree.util

## Class BooleanList

- java.lang.Object
- - org.jfree.util.AbstractObjectList
  - - org.jfree.util.BooleanList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class BooleanList
    extends AbstractObjectList

A list of `Boolean` objects.

Author:
  David Gilbert
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jfree.util.AbstractObjectList

`DEFAULT_INITIAL_CAPACITY`

### Constructor Summary

Constructors
Constructor and Description
`BooleanList()` Creates a new list.

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)` Tests the list for equality with another object (typically also a list).
`java.lang.Boolean` `getBoolean(int index)` Returns a `Boolean` from the list.
`int` `hashCode()` Returns a hash code value for the object.
`void` `setBoolean(int index, java.lang.Boolean b)` Sets the value for an item in the list.

### Methods inherited from class org.jfree.util.AbstractObjectList

`clear, clone, get, indexOf, set, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanList

    public BooleanList()

Creates a new list.

### Method Detail

#### getBoolean

    public java.lang.Boolean getBoolean(int index)

Returns a `Boolean` from the list.

Parameters:
  `index` - the index (zero-based).
Returns:
  a `Boolean` from the list.

#### setBoolean

    public void setBoolean(int index,
                  java.lang.Boolean b)

Sets the value for an item in the list. The list is expanded if necessary.

Parameters:
  `index` - the index (zero-based).
  `b` - the boolean.

#### equals

    public boolean equals(java.lang.Object o)

Tests the list for equality with another object (typically also a list).

Overrides:
  `equals` in class `AbstractObjectList`
Parameters:
  `o` - the other object.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code value for the object.

Overrides:
  `hashCode` in class `AbstractObjectList`
Returns:
  the hashcode